Dependencies/fr

From OpenSimulator

Jump to: navigation, search


Contents

Note

Ces instructions supposent que vous voulez exécuter OpenSimulator en mode standalone à partir des paquets binaires. Si ce n'est pas le cas ou si vous avez des exigences plus complexes (par exemple vous préférez utiliser la base de données MySQL plutôt que SQLite ou vous voulez lancer OpenSimulator en mode grille), alors , vous devez d'abord configurer OpenSimulator.

Dépendances

En plus du code OpenSimulator lui-même, certains autres paquets doivent être installés sur les différentes plates-formes afin de permettre l'exécution d'OpenSimulator.

Outre les informations sur cette page (qui devraient être développées), vous pouvez trouver plus d'informations sur les dépendances dans Build_Instructions/fr, bien que cette page contienne également des informations sur les dépendances requises uniquement pour la compilation des sources. Vous trouverez d'autres conseils en anglais à la page Troubleshooting.

Après avoir installé les dépendances, vous devrez peut-être configurer le pare-feu installé sur votre système de manière à ce que les viewers extérieurs puissent accéder à OpenSimulator sur votre machine. Voir Firewall Settings pour plus d'informations en anglais.

NAT Loopback Routers Informations en anglais sur le routeur et le Nat Loopback qui vous aideront à configurer votre routeur/modem.

Windows

La version courante d'OpenSimulator et le code de développement nécessitent .NET Framework 4.0.

Double-cliquez ou exécutez à l'invite de commandes :

  • OpenSim.exe

Selon votre installation, vous devrez exécuter le programme en tant qu'administrateur (clic droit -> 'Exécuter en tant qu'administrateur'). Cela affichera une fenêtre pour vous demander l'autorisation, sélectionnez "Autoriser".

GNU/Linux et Mac OSX

Version de Mono Version d'OpenSimulator Status Notes
2.4.3+ 0.7.6 OK
2.6.x < 0.7.6 OK Semble fonctionner, bien que mono VM semble présenter quelques problèmes (crash avec stacktrace native) sur des simulateurs lançant de nombreuses régions ou avec de nombreux utilisateurs/primitives.
2.8.x * Pas OK Problèmes de performance et d'évolutivité importants
2.10.0 * Pas OK Problèmes de performance et d'évolutivité importants
2.10.1 * Pas OK Problèmes de performance et d'évolutivité importants
2.10.2 * OK
2.10.8 < 0.9 OK (recommandé)
2.10.9 > 3.0.3 * Pas OK Problèmes majeurs.
3.0.7 * OK
4.0 > 4.6 * Pas Ok
4.4.2 * Pas OK Certains problèmes sur Robust comme NameResolutionFailure
4.6.2.16 * Ok
5.x * Semble fonctionner

Le code de développement d'OpenSimulator nécessite Mono 2.8 version ou plus récente ,la version Mono 2.10.8 est recommandée.

Pour lancer OpenSimulator avec mono, lancez la commande :

mono --debug OpenSim.exe

C'est la même commande pour les systèmes 32 bits et 64 bits. Le commutateur --debug n'est pas strictement nécessaire, mais il permet d'insérer les numéros de ligne pour les traces de pile, si vous avez besoin de faire un rapport de bogue, et les ressources nécessaires à son utilisation sont très faibles.

Ubuntu

sudo apt-get install mono-complete

RHEL, Fedora, CentOS or Any Other RedHat-based Distributions

Tout d'abord, lancez "yum info mono-core" pour connaître la version du paquet mono packages dans le référentiel de base de votre distribution. Si la version est 2.4.3 ou supérieure, suivez les instructions #Installation à partir du dépôt de base. Si ce n'est pas le cas, passez à #Installation à partir du dépôt de Mono. Notez que pour certaines distributions, la version courante que vous pouvez obtenir depuis le dépôt yum est inférieure à la version nécessaire de Mono (ex. 1.2.4 sur CentOS). Contrairement à Ubuntu, les distributions basées sur RedHat sont souvent conservatrices, il est naturel qu'elles ne mettent pas à jour leurs dépôts. Pour résoudre ce problème, vous pouvez ajouter un dépôt supplémentaire pour Mono.

Installation à partir du dépôt de base

Tapez simplement :

sudo yum install  mono-core mono-data-sqlite mono-extras libgdiplus

Cela installera aussi les modules dépendants. Ensuite, vous pourrez lancer OpenSim.exe avec mono "sorti de la boîte".

Installation à partir du dépôt de Mono

Cette procédure a été testée sur CentOS 5.5 & 5.6 avec OpenSimulator 0.7.1.

Accédez au dossier des fichiers de configuration de yum et créez un nouveau fichier pour Mono.

cd /etc/yum.repos.d
sudo vi mono.repo

Et dans mono.repo :

[mono]
name = novell-mono
baseurl=http://ftp.novell.com/pub/mono/download-stable/RHEL_5/
enabled=1
gpgcheck=0

Maintenant, vous pouvez installer la version la plus récente de mono depuis le dépôt. Remarque complémentaire : assurez-vous que tous les paquets mono sont i386 (et pas compilés IA64). If your box is 32bit, don't care and you can even install properly without ".i386" suffix.

sudo yum install mono-addon-core.i386 mono-addon-data.i386 mono-addon-data-sqlite.i386  \
      mono-addon-extras.i386 mono-addon-web.i386 mono-addon-winforms.i386 mono-addon-libgdiplus0.i386

Yum installera mono dans /opt/novell/mono, ainsi vous pourez créer un lien symbolique vers /usr/bin :

sudo ln -s /opt/novell/mono/bin/mono /usr/bin/mono

Après cela, vous devriez pouvoir lancer OpenSim.exe sans aucune erreur.

Debian

Debian 4 (Etch) n'est plus supporté par debian.org. Faites une mise à jour au moins vers 5 (Lenny) avant de lancer OpenSimulator. Voir Upgrades from previous release@debian.org pour plus de détails.

Pour Debian 5 (Lenny) ou plus récent, tapez simplement :

sudo aptitude install mono-runtime mono-gmcs libmono-microsoft8.0-cil \
    libmono-system-runtime2.0-cil libmono-i18n2.0-cil

Vous pouvez utiliser apt-get à la place de aptitude. Les deux solutions installeront les paquets dépendants.

Testez sur Debian 5(Lenny), Debian 6(Squeeze) et Debian 7(Wheezy) unstable.

openSuSE

Tapez simplement:

sudo zypper install  mono-core mono-data-sqlite mono-extras libgdiplus

Cela installera les modules dépendants. Ensuite, vous pourrez lancer OpenSim.exe avec mono "sorti de la boîte".

Mac OS X

Tout ce que vous avez à faire est de récupérer le package Mono 'Runtime' depuis Mono Download Page et de l'installer. Alternativement, vous pouvez installer mono avec homebrew :

brew install mono

Si vous utilisez OS X 10.4, vous devriez aussi installer X11 à partir des CDs d'installation OS X. Pour OS X 10.5, ce n'est pas nécessaire.

Docker

À des fins de test, vous pouvez même exécuter OpenSimulator dans un conteneur Docker. Le moyen le plus rapide est d'utiliser official mono image comme image de base. Pour éviter les questions posées à la première installation, vous devez préparer une série de fichiers ini et les déployer dans le conteneur. Par exemple, si vous exécutez le binaire 0.9.0.0-rc1 en mode standalone sur Mono 4.6.2.16:

FROM mono:4.6.2.16

RUN curl http://dist.opensimulator.org/opensim-0.9.0.0-rc1.tar.gz -s | tar xzf -
COPY Regions.ini /opensim-0.9.0.0-rc1/bin/Regions/Regions.ini
COPY OpenSim.ini /opensim-0.9.0.0-rc1/bin/OpenSim.ini
EXPOSE 9000
WORKDIR /opensim-0.9.0.0-rc1/bin

CMD [ "mono",  "./OpenSim.exe" ]

Dans la plupart des cas, vous devez définir "ExternalHostName" dans Regions.ini. Cette valeur devrait être un nom d'hôte valide accessible de l'extérieur de la machine Docker. En général, ce sera "localhost" ou le nom d'hôte de la machine Docker dans laquelle se trouve le conteneur.

Ensuite compilez les sources et lancez ainsi. Notez que vous devrez rediriger le port TCP/UDP.

$ docker build -t opensim .
$ docker run --name=opensim -p 9000:9000 -p 9000:9000/udp -d opensim
or
$ docker run --name=opensim -it -p 9000:9000 -p 9000:9000/udp opensim

Vous trouverez un exemple complet du projet Dockerfile à l'adresse makopo/docker-opensimulator-sample.

Paramètres locaux et régionaux

OpenSimulator fonctionne correctement seulement si vous le lancez avec un paramètre local ou régional anglais. Avec les autres paramètres, vous pouvez rencontrer certains problèmes, allant de l'erreur de script au crash.

GNU/Linux

Dans GNU/Linux, vous pouvez utiliser facilement le paramètre standard local "C" seulement pour lancer OpenSim.exe, comme expliqué dans Troubleshooting#ScriptEngine Issues:

env LANG=C mono OpenSim.exe

Pour plus d'informations sur la modification plus générale de votre paramètre local, voir Troubleshooting#Locales Issues

Windows

Si vous n'utilisez pas par défaut de paramètre régional anglais dans Windows, il n'existe pas de solution aussi simple que pour GNU/Linux, malheureusement. Je l'ai fait avec un compte utilisateur supplémentaire que j'ai créé juste pour OpenSimulator dans lequel j'ai configuré le paramètre régional à "Anglais (US)". Je lance OpenSim.exe à partir de mon compte d'utilisateur normal avec "Exécuter comme ..." (ou cochez "Exécuter avec différentes informations d'identification" dans les propriétés avancées d'un raccourci) et spécifiez le compte OpenSimulator comme étant celui à utiliser.

Ressources supplémentaires

Forum de support technique d'OSGrid avec de nombreux tutoriels sur l'installation :  osgrid.org/forums/viewforum.php

Projet MONO www.mono-project.com/Main_Page

Personal tools
About This Wiki